<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Buzz_Agency
 */

get_header();
?> 
	<div id="content" class="site-content">
	    <div id="primary" class="content-area ">
	        <main id="main" class="site-main">
	            <div class="container">
	                <div class="error-404 not-found">
	                    <div class="entry-content">
	                        <h2 class="page-title">
	                        	<?php
	                        	$image = get_theme_mod('buzz_agency_404_bg_image',''); 
	                        	if ( empty( $image ) ){
	                        		$image = esc_url( get_template_directory_uri() ).'/assets/img/mistake.jpg';
	                        	}
	                        	?>
	                        	<?php if( !empty( $image) ) { ?>  
		                            <span class="error-icon">
		                                 <img src="<?php echo esc_url($image); ?> "  />
		                            </span>
	                        	<?php } ?>
	                        </h2>
	                        <p><?php  esc_html_e('Error','buzz-agency')?></p>
	                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="box-button"><?php echo esc_html__('back to home','buzz-agency') ?><span></span></a>
	                    </div>
	                </div>

	            </div>
	        </main>
	    </div>
	</div>

<?php
get_footer();
