<?php
/**
 * This file handles the search functionality.
 *
 * @package  buzz-agency
 */
function buzz_agency_search_callback(){ ?>

	<div class="search-section">
		<!-- search section starting from here -->
		<div class="search-container">
			<form method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
				<label>
					<span class="screen-reader-text"><?php echo esc_html__( 'Search for:', 'buzz-agency' ); ?></span>
					<input class="search-field" placeholder="<?php esc_attr_e( 'Search', 'buzz-agency' ); ?>" value="<?php echo get_search_query(); ?>" name="s" type="search">
				</label>
				<input type="submit" class="search-submit" value="<?php echo esc_attr__( '&#xf002;', 'buzz-agency' ); ?>" />
			</form>
			<h5>
				<?php echo esc_html__( 'Type to search:', 'buzz-agency' ); ?>
			</h5>
			<div >
				<a href="javascript:void(0)" class="close-icon" ><i class="fa fa-times"></i></a>
			</div>
		</div>
	</div>
	<?php
}
add_action( 'buzz_agency_search', 'buzz_agency_search_callback' );

