<?php
/**
 * The custom footer for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Buzz_Agency
 */
function buzz_agency_footer_callback(){
?>
	<div class="banner-rounded-bg">
	    <span class="banner-shade-1">
	    </span>
	</div>
	<!-- footer starting from here -->
	<div class="widget-area">
	    <!-- widget area starting from here -->
	    <div class="container">
	        <div class="row">
	            <div class="custom-col-6">
	                <?php if ( is_active_sidebar( 'buzz-agency-footer_one' ) ) : ?>
		                <aside class="widget">
		                    <div class="contact-detail">
		                        <?php dynamic_sidebar('buzz-agency-footer_one'); ?>
		                    </div>
		                </aside>
	                <?php endif; ?>
	                
	                <?php
	                	$footer_option = get_theme_mod('buzz_agency_homepage_setting_footer_option',0);
	                	if($footer_option == '1'): 
                	?>	
		                <aside class="widget os-animation" data-os-animation="fadeInUp" data-os-animation-delay="1.2s">
		                    <div class="inline-social-icons social-links">
		                        <!-- inline social links starting from here -->
		                        
								<?php
								if ( has_nav_menu( 'social-media' ) ) : ?>
										<?php wp_nav_menu( array(
										'theme_location'  => 'social-media',
									) ); ?>
								<?php endif; ?>
									
		                    </div>
		                    <!-- inline social links ends here -->
		                </aside>
	                <?php endif;   ?>
	            </div>
	            <?php 
	            	$image = get_theme_mod('buzz_agency_process_footer_bg_image','');
	            	?>
		            <div class="custom-col-6">
		                <aside class="widget os-animation" data-os-animation="fadeInUp" data-os-animation-delay="1.5s">
							<?php if( !empty( $image) ) { ?>
			                	<div class="footer-deco-image">
			                	    <figure class="featured-image">
			                	         <img src="<?php echo esc_url($image);?>" />
			                	    </figure>
			                	</div>
							<?php } ?>
							<?php 
							if ( is_active_sidebar( 'buzz-agency-footer-two' ) ) : ?>
			                  		<?php dynamic_sidebar('buzz-agency-footer-two'); ?> 
		                   <?php endif; ?>
		                </aside>

		            </div>
	        </div>
	    </div>
	</div>
	<div class="site-generator">

	    <div class="container">

			<span class="copy-right os-animation" data-os-animation="slideInLeft"><?php echo esc_html( get_theme_mod( 'buzz_agency_copyright_text',esc_html__('Copyright All Rights Reserved','buzz-agency')));?>
				<?php 
				/* translators: %s: Thme Author Name */ 
				printf( esc_html__( 'Theme by %1$s.', 'buzz-agency' ), '<a href="'.esc_url( 'https://aarambhathemes.com/' ).'" rel="designer">'.esc_html__('Aarambha Themes', 'buzz-agency').'</a>' ); ?>
				
			</span>
			<div class="footer-menu os-animation" data-os-animation="slideInRight" data-os-animation-delay="0.5s">
			    <?php
			    	if ( has_nav_menu( 'footer-menu' ) ){
			        	wp_nav_menu( array(
			        	'theme_location' => 'footer-menu',
			        	) );
			    	}

			    ?>
			</div>
			
	    </div>
	    
	</div>
<?php
}
add_action('buzz_agency_footer_callback_action','buzz_agency_footer_callback');		
